Subject: Re: [PATCH v4] tcp: harmonize tcp_vx_rcv header length assumptions

From: William Allen Simpson <[email-masked]>
Date: Thu, 14 Jan 2010 10:02:03 -0500

Patrick McHardy wrote:
> In IPv6 it is released in ip6_input.c before the packet is handed to
> the protocol handler.
> 
Thanks, I made a note of it.

Thanks to Andi, I've been using his suggestion to compare the IPv4 and
IPv6 generated code.  Another minor difference between them was IPv4
stored *iph.

So, I added *ip6h, and discovered that it made the code longer.  Later
inline function invocations had also calculated it, so adding it merely
calculated it earlier and stored it.  The code thrashes registers
making room for the additional variable.  I'm guessing that the IPv6
folks had already looked at the issue....  Good work!

So, I tried removing *iph, and that shrunk the IPv4 code some, too.

Thanks to everybody for their comments and review.